Corretor gramatical CoGroo, você conhece ?

Você conhece o corretor gramatical Cogroo ?
Minha explicação vai ser retirada diretamente do site do programa :

O CoGrOO é um corretor gramatical acoplável ao OpenOffice.org. (…) Detecta erros nas relações entre as palavras, por exemplo, na sentença “Os menino estudam demais.”, o corretor gramatical detecta o erro na concordância entre o artigo “os” e o substantivo “menino”. E também sugere uma medida corretiva, como a substituição da palavra “menino” pela mesma palavra flexionada no plural, que é “meninos”.

Assim, o CoGrOO é capaz de detectar diversos tipos de erros gramaticais, sendo os mais importantes os listados a seguir:

* colocação pronominal
* concordância nominal
* concordância entre sujeito e verbo
* concordância verbal
* uso de crase
* regência nominal
* regência verbal
* erros comuns da língua portuguesa falada

Agora que você sabe o que é o Cogroo, então porque não instalar ?
Antes de mais nada, quero frisar que toda vez que me referir ao OpenOffice, estou incluindo o BROffice também. Quando estiver lendo OpenOffice, por gentileza entenda como OpenOffice.org.
A instalação do Cogroo no OpenOffice é simples, há duas maneiras de efetuar a instalação :
Instalação pessoal : O componente Cogroo é instalado e acessível apenas a você.
Instalação global : O componente Cogroo é instalado e acessível a todos em seu sistema.
Eu prefiro a instalação global, mas você decide a que é melhor para o seu caso.

Antes de instalar

Antes de instalar o Cogroo, esteja certo de que possui o SunJava instalado. Se não estiver, apenas execute no terminal :

sudo apt-get install sun-java6-bin sun-java6-fonts sun-java6-jre sun-java6-plugin equivs ttf-sazanami-gothic ttf-sazanami-mincho

Uma outra dependência importante é o pacote “openoffice.org-java-common”, se você não instala-lo você conseguirá instalar o Cogroo, mas ele não funcionará e nunca descobrirá o porquê. Assim, execute também :

sudo apt-get install openoffice.org-java-common

Agora que você instalou o sun-java, execute o OpenOffice e acesse o menu Ferramentas->Opções->[BR]Office.org->Java, certifique-se que haja opção Java selecionada e que a versão minima seja 1.5. Aqui, estou usando o Java 1.6.0_13 sem nenhum problema.
O Cogroo é extremamente sensível a versões, isto é, OpenOffice 2.x rodará o Cogroo da versão 2.x, nem tente o Cogroo 3.0.5 que não irá funcionar. Antes de atualizar uma versão do Cogroo, certifique-se de remover a versão anterior. Ele é meio “chatinho” nesse sentido, mas tomado esses cuidados, ele instalará e funcionará sem problemas.

Download do Cogroo

Visite o site do projeto, na página de downloads :

http://cogroo.sourceforge.net/download/current.html

A última versão disponível enquanto escrevo este artigo é a versão 3.0.5 que é completamente funcional no OpenOffice 3.1. Não testei-o no OpenOffice 3.0.x, mas presumo que deva funcionar também. Eu estou usando-o no OpenOffice 3.1 na distribuição Ubuntu 9.04 e roda maravilhosamente bem.

Instalação Pessoal

Tendo descarregado o arquivo “CoGrOO-AddOn-3.0.5-bin.oxt” (ou superior), você poderá acessar o menu Ferramentas->Gerenciador de extensão, clicar no botão [Adicionar] e apontar para o arquivo “CoGrOO-AddOn-3.0.5-bin.oxt” :
Instalação Pessoal do Cogroo
Simples assim.
Tem uma maneira mais simples ainda que nem precisa descarregar a extensão, é usar link de download como parâmetro do OpenOffice(soffice.bin), mas prefiro que use o gerenciador de extensão do OpenOffice, assim saberá como incluir, remover ou editar opções de qualquer desses componentes.

Instalação Global

Tendo descarregado o arquivo “CoGrOO-AddOn-3.0.5-bin.oxt” (ou superior), feche todas as instâncias do OpenOffice, incluindo o inciador rápido caso tenha habilitado-o e então execute no terminal :

sudo /usr/lib/openoffice/program/unopkg add -f --shared /onde/descarreguei/CoGrOO-AddOn-3.0.5-bin.oxt

Quem usa o BrOffice deverá executar assim :

sudo /opt/broffice.org3/program/unopkg add -f --shared /onde/descarreguei/CoGrOO-AddOn-3.0.5-bin.oxt

Simples assim.
Se precisar remover a extensão :

sudo /usr/lib/openoffice/program/unopkg remove --shared CoGrOO-AddOn-3.0.5-bin.oxt

Um defeito nesse processo de desinstalação é que o menu “Sobre” e “Ferramentas” ainda fazem referencias ao Cogroo, mesmo após sua remoção ter sido um sucesso (sim, eu testei e depois de desinstalado ele não funciona mais). Ou seja, ele deixa sua marca de instalado, mesmo depois de confirmado que foi desinstalado (deu para entender, né ?).

Como testar

Execute o OpenOffice e digite um texto propositalmente errado como :

“Ontem nós fui a praia.”

Se ele grifar em azul “nós fui” e informar “erro de concordância entre o sujeito e o verbo” :
Teste usando o Cogroo

Então parabéns, tá funcionando.

Anúncios
  1. #1 por Lauro César em 18 \18\UTC junho \18\UTC 2009 - 12:56

    Vixi… o CogrOO aceita “nós vai” como certo!

  2. #2 por Cláudio Novais em 18 \18\UTC junho \18\UTC 2009 - 12:58

    Olá Hamacker,

    Excelente artigo! Tenho de experimentar este corrector de extrema utilidade!

    Muito obrigado pela partilha.

    Abraço,
    Cláudio Novais

  3. #3 por cHampiGnOm em 18 \18\UTC junho \18\UTC 2009 - 16:22

    Aqui não aceitou o “nós vai”.

  4. #4 por hamacker em 18 \18\UTC junho \18\UTC 2009 - 16:45

    Aqui, ele não aceitou usar “Nós vai a praia.”

  5. #5 por Olivier em 18 \18\UTC junho \18\UTC 2009 - 19:08

    Só pra lembrar, o CoGroo também está no site de extensões do OpenOffice.org, permitindo (se mantido atualizado lá) que o [Br,Open]Office.org atualize automaticamente para as novas versões a partir da 3.0x…

    http://extensions.services.openoffice.org/project/cogroo

  6. #6 por Lauro César em 19 \19\UTC junho \19\UTC 2009 - 10:16

    Que bom… agora tá funcionando… hehe

    Estou no trabalho, usando XP (talvez esteja aí a explicação para as falhas).rs

  7. #7 por William em 19 \19\UTC junho \19\UTC 2009 - 11:19

    Para funcionar tem que reiniciar o BrOfficer.org. No Windows tem aquele Inicializador Rápido, que fica do lado do relógio. Tem que fechar ele tbm.

  8. #8 por André Vitor de Lima Matos em 19 \19\UTC junho \19\UTC 2009 - 12:27

    Aki ta dando um erro de instalação. Já tentei tanto com o JRE da Sun quanto com o OpenJDK, e nos dois dá o mesmo erro:

    [andre@andre_arch ~]$ sudo /opt/openoffice/program/unopkg add -f --shared /D/Programas/Linux/BrOo/CoGrOO-AddOn-3.0.5-bin.oxt
    
    ERROR: URP-Bridge: disposed(tid=5) No typedescription can be retrieved for type com.sun.star.bridge.XProtocolProperties
    
    unopkg failed.
    

    Dá um erro sobre a mesma coisa quando tento pela instalação gráfica. Alguém pode me ajudar? Preciso muito dele. Obrigado.

  9. #9 por Peterson em 7 \07\UTC julho \07\UTC 2009 - 2:44

    Hamacker,

    vi que nas versões anteriores o seu script perfeito instalava o BrOffice. Na 9.04 não tem isso. Sei que o Br é o OpenOffice em português-Br mas vi algumas pessoas falando que isso não seria totalmente verdade, pois o BrOffice tem códigos e contribuições brasileiras que o Open não tem. Quando tento instalar BrOffice no meu pc, mesmo tendo tirado todos os pacotes referentes a OpenOffice, dá uns paus estranhos e seu scripts eram minha solução, mas agora quero colocar o Br mais novo. O que vc pensa a respeito da diferença de entre os dois? Vc pretende incluir a instalação do BrOffice em um script perfeito futuro? Poderia me dizer como instala o Br sem dar os paus por causa das permissões? Tentei todos os tutos da net mas não consegui na época…

    Obrigado,
    Peterson

  10. #10 por Filipo Tardim em 13 \13\UTC julho \13\UTC 2009 - 15:59

    Aqui eu instalei sem os pacotes equivs, ttf-sazanami-gothic e ttf-sazanami-mincho, pois percebi que eles ocupavam muito espaço, e funcionou assim mesmo.

    Conhece alguma maneira da extensão permanecer num eventual Remastersys? Já tentei fazer um remaster do Ubuntu, mas as extensões Vero e essa nunca ficam, mesmo eu instalando globalmente.

  11. #11 por Douglas em 19 \19\UTC julho \19\UTC 2009 - 23:39

    olas!
    uso o br office no windows, tem como instalar este corretos nele?

  12. #12 por Bruno Tarenta em 24 \24\UTC julho \24\UTC 2009 - 4:43

    Muito obrigado Hamacker, graças a sua dica eu não só instalei o corretor como também consegui desinstalar o Vero 2.04(instalei o 2.05) que não queria desinstalar pelo gerenciador.
    Obrigado também pelo script Ubuntu Perfeito, gostei dele e do que instalei por intermédio dele.
    Vlw.

  1. Everthon Valadão (everthonvs) 's status on Monday, 26-Oct-09 11:00:42 UTC - Identi.ca
%d blogueiros gostam disto: